<?php
	$headers = [
		'date' => __d('buzz_diary_accounts', 'Date'),
		'payment_ref' => __d('buzz_diary_accounts', 'Payment Reference'),
		'amount' => __d('buzz_diary_accounts', 'Amount'),
		'payee' => __d('buzz_diary_accounts', 'Payee'),
		'payee_ref' => __d('buzz_diary_accounts', 'Payee Reference')
	];
?>

<table class="table--flat">
	<thead>
		<tr>
			<th><?php echo implode('</th><th>', $headers); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php if (empty($data)): ?>

			<tr>
				<?php
					echo $this->Html->tag(
						'td',
						__d('buzz_diary_accounts', 'No credits to display'),
						['colspan' => count($headers)]
					);
				?>
			</tr>

		<?php else: ?>

			<?php foreach($data as $row): ?>
				<tr>
					<td><?php echo $this->Time->i18nFormat(DiaryApi::dateToTime($row['date']), '%d/%m/%Y'); ?></td>
					<td><?php echo $row['reference']; ?></td>
					<td><?php echo $this->Number->currency($row['amount']); ?></td>
					<td><?php echo !empty($row['extras']['name']) ? $row['extras']['name'] : ' '; ?></td>
					<td><?php echo !empty($row['extras']['reference']) ? $row['extras']['reference'] : ' '; ?></td>
				</tr>
			<?php endforeach; ?>

			<?php if (!empty($paged)): ?>
				<tr>
					<?php
						$page = empty($page) ? 1 : $page + 1;
						echo $this->Html->tag(
							'td',
							$this->Html->link(__d('buzz_diary_accounts', 'Load More'), ['controller' => 'account_credits', 'action' => 'get_next_credits', $page, $limit], ['class' => 'js-load-next']),
							['colspan' => count($headers)]
						);
					?>
				</tr>
			<?php endif; // Pager ?>

		<?php endif; ?>
	</tbody>
</table>
